import request from '@/utils/request'

// 查看智能体信息
export function getOnlineInfo() {
  return request({
    url: '/chat/chatBot/getChatBotConfig',
    method: 'get'
  })
}

// 修改智能体名称描述
export function updateBotName(data) {
  return request({
    url: '/chat/chatBot/updateBotName',
    method: 'post',
    data: data
  })
}

// 保存人设与回复逻辑
export function updatePrompt(data) {
  return request({
    url: '/chat/chatBot/updatePrompt',
    method: 'post',
    data: data
  })
}

// 保存 开场白文案、预设问题
export function updatePrologueQuestion(data) {
  return request({
    url: '/chat/chatBot/updatePrologueQuestion',
    method: 'post',
    data: data
  })
}

// 变更知识库绑定的知识库
export function bindKnowledge(data) {
  return request({
    url: '/chat/chatBot/bindKnowledge',
    method: 'post',
    data: data
  })
}
